> ## Documentation Index
> Fetch the complete documentation index at: https://talvinai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Unsubscribe from Events

> Unsubscribe from events by subscription ID



## OpenAPI

````yaml DELETE /unsubscribe/{subscription_id}
openapi: 3.1.0
info:
  title: Talvin API
  description: >-
    Talvin API provides endpoints for managing interviews, responses, and
    subscriptions to events.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.talvin.ai/api/v1
security:
  - talvinApiKey: []
    talvinOrgId: []
paths:
  /unsubscribe/{subscription_id}:
    delete:
      description: Unsubscribe from events by subscription ID
      parameters:
        - name: subscription_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: ID of the subscription to delete
      responses:
        '204':
          description: Subscription successfully deleted
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Subscription not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    talvinApiKey:
      type: apiKey
      in: header
      name: X-TALVIN-API-KEY
    talvinOrgId:
      type: apiKey
      in: header
      name: X-TALVIN-ORGANIZATION-ID

````